From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Remove all references to close_all_streams/0.
Forwarded: not-needed
--- a/simplifier/ioutilities.pro
+++ b/simplifier/ioutilities.pro
@@ -444,7 +444,6 @@
     % Double line break.
     format(Stream, '~n~n', []),
 
-    close_all_streams,
     halt(1),
     !.
 
--- a/simplifier/main_simplifier.pro
+++ b/simplifier/main_simplifier.pro
@@ -254,7 +254,6 @@
 handle_information_request:-
     get_switch_help(on),
     display_help(user_output),
-    close_all_streams,
     halt(0),
     !.
 
@@ -262,7 +261,6 @@
 handle_information_request:-
     get_switch_empty(on),
     display_help(user_output),
-    close_all_streams,
     halt(0),
     !.
 
@@ -270,7 +268,6 @@
 handle_information_request:-
     get_switch_version(on),
     display_header(user_output),
-    close_all_streams,
     halt(0),
     !.
 
--- a/simplifier/schedulesimplification.pro
+++ b/simplifier/schedulesimplification.pro
@@ -851,7 +851,6 @@
         /* variables get reported as _XXXXX where XXXXX varies between platforms */
         /* This causes spurious regression test failures.                        */
         set_exit_status,
-        close_all_streams,
         halt,
         !.
 
@@ -902,7 +901,6 @@
            nl,
            write_offending_predicate(OLD_FORMULA),
            set_exit_status,
-           close_all_streams,
            halt
         ),
         !,
@@ -918,7 +916,6 @@
               write_offending_predicate(OLD_FORMULA),
               !,
               set_exit_status,
-              close_all_streams,
               halt
            )
         ;
--- a/simplifier/simplifier.pro
+++ b/simplifier/simplifier.pro
@@ -113,7 +113,6 @@
 runtime_entry(start):-
     simplifier_main,
     save_usage_profile,
-    close_all_streams,
     halt(0),
     !.
 
@@ -174,23 +173,19 @@
 buildsav_simplifier:-
     zero_defects_reported,
     save_program('spadesimp.sav'),
-    close_all_streams,
     halt(0).
 
 buildsav_simplifier:-
     report_total_defects,
-    close_all_streams,
     halt(1).
 
 buildsav_zombiescope:-
     zero_defects_reported,
     save_program('zombiescope.sav'),
-    close_all_streams,
     halt(0).
 
 buildsav_zombiescope:-
     report_total_defects,
-    close_all_streams,
     halt(1).
 
 buildsav_usage_profiled:-
